// packageH/project_verification/components/projectLR/projectLR.js
Component({
  options: {
    multipleSlots: true,
  },
  /**
   * 组件的属性列表
   */
  properties: {
    showTimes: {
      type: Boolean,
      value: false,
    },
    data: {
      type: Object,
    },
    simple: {
      type: Boolean,
      value: false,
    },
    golden: {
      type: Boolean,
      value: false,
    },
    details: {
      type: Boolean,
      value: true,
    },
  },
  /**
   * 组件的初始数据
   */
  data: {
    projectExpireAppendClassName: "",
  },
  lifetimes: {
    ready() {
      if (this.data.data.near_ending !== undefined) {
        let className = "project-expire_blue";
        if (this.data.data.near_ending) {
          className = "project-expire_red";
        }
        this.setData({
          projectExpireAppendClassName: className,
        });
      }
    },
  },

  /**
   * 组件的方法列表
   */
  methods: {},
});
